#include <qpe/qpeapplication.h>
#include <qmainwindow.h>
#include <qlayout.h>
#include <qlistbox.h>
#include <qpushbutton.h>
#include <qdir.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qmessagebox.h>
#include <qdialog.h>
#include <qdatetime.h>
#include <stdio.h>

class mainWindowWidget : public QWidget
{
  Q_OBJECT

public:
  QListBox *notesList;
  QDir fileList;

  mainWindowWidget( QWidget *parent=0, const char *name=0 );

  void refreshList(QListBox *liste);

public slots:

  void newFile();
  void openFile();
  void deleteFile();

private:
  void editFile(QString filename,  int create);
  int  selected;
};


